#lang racket

(define vigracket-path (collection-path "vigracket"))
(define vigracket-version "0.5.0")

  ;Load dll under windows, dylib under MacOS
(define dylib-path
    (cond ((equal? (system-type 'os) 'windows) (build-path vigracket-path "vigra_c.dll"))
          ((equal? (system-type 'os) 'macosx)  (build-path vigracket-path "libvigra_c.dylib"))
          ((equal? (system-type 'os) 'unix)  (build-path vigracket-path "libvigra_c.so"))
          (else (error "Only macosx, windows and unix are supported"))))
    	    
(provide vigracket-path
         vigracket-version
         dylib-path)

